Berat Baran Cevik Berat Baran Cevik - 1 month ago 50
iOS Question

Xcode App Running Issue

I just updated my iPhone 5 to iOS version 10.1. When I tried to run the app that I'm developing on my device I got the following error from Xcode:

"Could not locate device support files.
This iPhone 5 (Model A1429) is running iOS 10.1 (14B72), which may not be supported by this version of Xcode."

I have the latest version of Xcode i.e. 8.0 (I just double checked to see if there are any available updates). I cannot set the deployment target higher than 10.0 either.

What do I need to do? Is there a way to downgrade my device? When there is an update in the future should I wait until the version is released on Xcode?

Thank you all.

Answer

Actually your iOS version still fresh and xCode SDK still in beta

you can download the beta SDK's from here xCode 10.1 beta SDK download